Bug 1858407 - pkgconfig --libs libxxhash points to the wrong directory
Summary: pkgconfig --libs libxxhash points to the wrong directory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xxhash
Version: 32
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mattias Ellert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-17 20:38 UTC by Rafael Ávila de Espíndola
Modified: 2020-08-13 01:56 UTC (History)
3 users (show)

Fixed In Version: xxhash-0.8.0-1.fc32 xxhash-0.8.0-1.fc31 xxhash-0.8.0-1.el6 xxhash-0.8.0-1.el8 xxhash-0.8.0-1.el7
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-05 01:18:44 UTC
Type: Bug


Attachments (Terms of Use)

Description Rafael Ávila de Espíndola 2020-07-17 20:38:50 UTC
Description of problem:

Running

$ pkgconf --libs libxxhash

Prints

-L/usr/lib -lxxhash

But /usr/lib is the wrong directory on x86_64. It is also unnecessary to list /usr/lib or /usr/lib64, so it should probably just print -lxxhash.

Comment 1 Fedora Update System 2020-07-24 14:46:39 UTC
FEDORA-EPEL-2020-9bf705a4b9 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-9bf705a4b9

Comment 2 Fedora Update System 2020-07-24 14:46:40 UTC
FEDORA-EPEL-2020-4b90013b56 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-4b90013b56

Comment 3 Fedora Update System 2020-07-24 14:46:41 UTC
FEDORA-2020-ac6d67653e has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ac6d67653e

Comment 4 Fedora Update System 2020-07-24 14:46:42 UTC
FEDORA-EPEL-2020-f6bcd7131e has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-f6bcd7131e

Comment 5 Fedora Update System 2020-07-24 14:46:43 UTC
FEDORA-2020-25b8fcd0d7 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-25b8fcd0d7

Comment 6 Fedora Update System 2020-07-25 00:22:02 UTC
FEDORA-EPEL-2020-9bf705a4b9 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-9bf705a4b9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-07-25 00:58:07 UTC
FEDORA-2020-25b8fcd0d7 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-25b8fcd0d7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-25b8fcd0d7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-07-25 01:07:48 UTC
FEDORA-EPEL-2020-4b90013b56 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-4b90013b56

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-07-25 01:11:09 UTC
FEDORA-2020-ac6d67653e has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-ac6d67653e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ac6d67653e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-07-25 01:52:15 UTC
FEDORA-EPEL-2020-f6bcd7131e has been pushed to the Fedora EPEL 6 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-f6bcd7131e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-07-28 07:16:16 UTC
FEDORA-2020-ac6d67653e has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ac6d67653e

Comment 12 Fedora Update System 2020-07-28 07:17:00 UTC
FEDORA-2020-25b8fcd0d7 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-25b8fcd0d7

Comment 13 Fedora Update System 2020-07-28 07:17:48 UTC
FEDORA-EPEL-2020-9bf705a4b9 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-9bf705a4b9

Comment 14 Fedora Update System 2020-07-28 07:18:36 UTC
FEDORA-EPEL-2020-4b90013b56 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-4b90013b56

Comment 15 Fedora Update System 2020-07-28 07:19:16 UTC
FEDORA-EPEL-2020-f6bcd7131e has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-f6bcd7131e

Comment 16 Fedora Update System 2020-07-28 15:15:26 UTC
FEDORA-2020-ac6d67653e has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-ac6d67653e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ac6d67653e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2020-07-28 15:26:07 UTC
FEDORA-EPEL-2020-f6bcd7131e has been pushed to the Fedora EPEL 6 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-f6bcd7131e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2020-07-28 15:36:04 UTC
FEDORA-EPEL-2020-9bf705a4b9 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-9bf705a4b9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2020-07-28 16:04:20 UTC
FEDORA-2020-25b8fcd0d7 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-25b8fcd0d7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-25b8fcd0d7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 20 Fedora Update System 2020-07-29 14:33:14 UTC
FEDORA-EPEL-2020-4b90013b56 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-4b90013b56

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 21 Fedora Update System 2020-08-05 01:18:44 UTC
FEDORA-2020-ac6d67653e has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 22 Fedora Update System 2020-08-05 02:15:07 UTC
FEDORA-2020-25b8fcd0d7 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 23 Fedora Update System 2020-08-12 01:43:52 UTC
FEDORA-EPEL-2020-f6bcd7131e has been pushed to the Fedora EPEL 6 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 24 Fedora Update System 2020-08-12 01:48:02 UTC
FEDORA-EPEL-2020-9bf705a4b9 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 25 Fedora Update System 2020-08-13 01:56:10 UTC
FEDORA-EPEL-2020-4b90013b56 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.